1. DianServices
Documentación Bilidox
  • ¡Bienvenido!
  • Raíz
    • DianServices
      • NumberingRangeGetAll
        GET
      • StatusZipGetAll
        GET
      • SendMailCreate
        POST
      • TestSetCreate
        POST
      • InvoiceCreate
        POST
      • CreditnoteCreate
        POST
      • EquivalentCreate
        POST
      • EquivalentSpdCreate
        POST
      • SupportCreate
        POST
      • PayrollCreate
        POST
      • EventCreate
        POST
      • DebitnoteCreate
        POST
      • EquivalentNoteCreate
        POST
      • SupportNoteCreate
        POST
      • PayrollReplaceNote
        POST
      • PayrollDeleteNote
        POST
    • S3File
      • fileUrlGetItem
      • filePdfGetItem
      • fileXmlGetItem
  1. DianServices

PayrollDeleteNote

POST
/v1/dian/playroll-replace-notes/
💡
Endpoint que permite crear una Nota de ajuste para eliminar un documento soporte de pago de nómina electrónica, con los datos requeridos para enviar a la DIAN.
📌
Method: POST
Crear una Nota de ajuste para eliminar un documento soporte de pago de nómina electrónica

Solicitud

Autorización
Proporciona tu token bearer en el encabezado
Authorization
al realizar solicitudes a recursos protegidos.
Ejemplo:
Authorization: Bearer ********************
Parámetros de consulta

Parámetros del Body application/json

Ejemplos

Respuestas

🟢200
application/json
Objeto que representa la respuesta que contiene la información de la Nota de ajuste de documento soporte de pago de nómina electrónica
Bodyapplication/json

Solicitud Ejemplo de Solicitud
Shell
JavaScript
Java
Swift
curl --location '/v1/dian/playroll-replace-notes/?companyId=901084328&providerId=901084328' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "TypeCode": "103",
  "Number": 1,
  "Date": "2024-02-12T16:55:25.487",
  "Note": "",
  "DocumentReference": {
    "Uuid": "654007ba40f0cf676adcbb38717339bad990d023237ab9de06fbbc0319ac82287d90cf7a9647cbd053384c11a0110a8b",
    "Date": "2024-02-12T00:00:00",
    "SchemeName": "CUNE-SHA384",
    "TypeCode": "102",
    "Number": "DSNE238"
  },
  "NumberingRange": {
    "Id": 0,
    "Date": "2021-10-01T00:00:00",
    "Prefix": "NADS",
    "FromNumber": 1,
    "ToNumber": 100000,
    "TechnicalKey": "",
    "StartDate": "2021-10-01T00:00:00",
    "EndDate": "2050-12-31T00:00:00"
  },
  "SoftwareProvider": {
    "Origin": "software_emisor"
  },
  "SigningCertificate": {
    "Password": "",
    "Content": "",
  },
  "CompanyParty": {
    "ImageUrl": null,
    "Id": "000000000",
    "IdentificationType": "31",
    "Name": "PEMPRESA SAS",
    "PhysicalLocation": {
      "Address": "",
      "CityCode": "54001",
      "SubentityCode": "54",
      "CountryCode": "CO",
      "CountryName": ""
    },
    "Email": "contacto@miempresa.com",
    "Phone": "0000000000"
  },
  "Information": {
    "Date": "2024-02-12T16:55:25.487",
    "Address": "CR 0 CL 0",
    "CurrencyCode": "COP",
    "CurrencyBaseRate": 1.0,
    "PeriodCode": "4"
  },
  "CustomizePrintFormat": {
    "HeaderText": "",
    "FooterText": ""
  }
}'
Respuesta Ejemplo de Respuesta
{
  "id": "NADS1",
  "name": "face_fNADS09010843280000000001",
  "status": "submitted",
  "created": "2024-04-05T08:48:00.909+00:00",
  "document": {
    "uuid": "a5b8f21175a2f8d4330992b96d521d56364bfc1f611886897d6c9ccaa1f0b626c37da471fe83b62510a706b8b13907d7",
    "date": "2024-04-05T08:47:55.7+00:00",
    "type": "103",
    "number": 1,
    "prefix": "NADS",
    "schemeName": "CUNE-SHA384",
    "signatureValue": "P3Dp4lgRLiI9rCiTpZpItfhDTZysKi0ElO6zgiEGcGBbaOhfeIswSwoxLK3Xf9Ot5z2syzKlHEcUpOUt8tV92am0fKCwARm2Oq2WJC2GdyRMKBjkuqo41nkOMxIs7849mkiik21P2GwBB3sKX0gRlkszTaxIeBzeAeN7j+YJJ2SraYNd5st4NY7x45l/SQbazGh2zUerNsLuWibbnCSMJJzEkCjaFdtce55n/wZuuK3OBRAyhtxbAe6HhlabmbZow7olKYtwrEdsFl4Zivig0SUlVIdMvq5IFFiEXxHez/Umy+hQfScKTVuQ0F0cS0xDOkULMgYuRBd1wcGeZ5CMVw==",
    "reference": "DSNE238"
  },
  "response": {
    "statusCode": "00",
    "statusMessage": "La Nomina Individual de Ajistes NADS1, ha sido autorizada.",
    "statusDescription": "Procesado Correctamente.",
    "errorMessage": "",
    "zipkey": ""
  }
}
Modificado en 2026-09-14 14:07:25
Anterior
PayrollReplaceNote
Siguiente
fileUrlGetItem
Built with